-------------------------------------------------------------------------------
-- Project  ELE8304 : Circuits intégrés à très grande échelle
-------------------------------------------------------------------------------
-- File     wb.vhd
-- Authors  Titouan Luard <luardtitouan@gmail.com> 
--          Yann Roberge <yann.roberge@polymtl.ca> 
-- Lab      GRM - Polytechnique Montreal
-- Date     2021-10-29
-------------------------------------------------------------------------------
-- Brief   
------------------------------------------------------------------------
-------
library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;
use ieee.math_real.all;


library work;
use work.riscv_pkg.all;

entity wb is
  
  port (
  
    i_dmem_read:  out std_logic_vector(XLEN-1 downto 0);
    i_alu_result : in std_logic_vector(XLEN-1 downto 0);
    i_opcode: in std_logic_vector(OPCODE_WIDTH-1 downto 0);
    i_rd_addr :   in std_logic_vector(9 downto 0);   
    o_rd_data: out std_logic_vector(XLEN-1 downto 0);
    o_rd_addr :   out std_logic_vector(9 downto 0));

end entity wb;

architecture beh of wb is

begin




with i_opcode select o_rd_data <=
     i_dmem_read when OPCODE_LW,
     i_alu_result when others;
o_rd_addr <= i_rd_addr;


end architecture beh;
